Subject: Re: bug#48804: 27.2; compilation emacs on macOS

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Jun 2021 15:32:13 +0300

> Date: Fri, 04 Jun 2021 13:26:38 +0100
> CC: [email-masked],[email-masked],[email-masked]
> From: Alan Third <[email-masked]>
> 
> >> I’ve gcc 10.2.0_4 installed by Homebrew on my new iMac 24” (with M1),
> >and can’t get a newer version, so I’ll
> >> properly have to wait ….. 
> >
> >What's wrong with GCC 10?  AFAIK, even GCC 7 comes with libgccjit that
> >is good enough for Emacs.
> 
> I believe that libgccjit only just added support for M1 processors in the last week or two, and for whatever reason the Intel emulation on the Macs doesn't work with the older libgccjit either.

Should we mention this in NEWS, where we announce native-compilation
support?  Knowing the prerequisites is important to avoid false
expectations and frustration.